<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ym.mec.education.mapper.SysUserLoginMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ym.mec.education.entity.SysUserLogin">
        <id column="user_id_" property="userId" />
        <result column="login_count_" property="loginCount" />
        <result column="last_login_time_" property="lastLoginTime" />
        <result column="last_login_ip_" property="lastLoginIp" />
        <result column="fail_count_" property="failCount" />
        <result column="lock_time_" property="lockTime" />
        <result column="lock_date_" property="lockDate" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        user_id_, login_count_, last_login_time_, last_login_ip_, fail_count_, lock_time_, lock_date_
    </sql>

</mapper>
